Bug 21871 - Show authority 856 links in the OPAC
Summary: Show authority 856 links in the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 13:48 UTC by Owen Leonard
Modified: 2019-02-01 15:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21871: Show authority 856 links in the OPAC (5.85 KB, patch)
2018-11-21 15:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21871: Show authority 856 links in the OPAC (5.91 KB, patch)
2018-11-23 07:59 UTC, Devinim
Details | Diff | Splinter Review
Bug 21871: Show authority 856 links in the OPAC (5.96 KB, patch)
2019-01-11 22:56 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 21871: (follow-up) Remove link tracking (2.72 KB, patch)
2019-01-15 19:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21871: (follow-up) Remove link tracking (2.78 KB, patch)
2019-01-18 20:55 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 21871: Show authority 856 links in the OPAC (6.03 KB, patch)
2019-01-27 13:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21871: (follow-up) Remove link tracking (2.84 KB, patch)
2019-01-27 13:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21871: Show authority 856 links in the OPAC (6.14 KB, patch)
2019-01-27 14:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21871: (follow-up) Remove link tracking (2.95 KB, patch)
2019-01-27 14:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21871: (QA follow-up) Use Koha.Preference in template (1.61 KB, patch)
2019-01-27 14:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21871: (QA follow-up) C4::Biblio qw(GetMarcUrls) (815 bytes, patch)
2019-01-27 14:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-21 13:48:52 UTC
If there are links stored in an authority record's 856 tags we should show them in the OPAC like we do for bibliographic records.
Comment 1 Owen Leonard 2018-11-21 15:46:51 UTC Comment hidden (obsolete)
Comment 2 Devinim 2018-11-23 07:59:32 UTC Comment hidden (obsolete)
Comment 3 Charles Farmer 2019-01-11 22:56:19 UTC
Created attachment 83834 [details] [review]
Bug 21871: Show authority 856 links in the OPAC

This patch modifies the authority detail view in the OPAC so that any
links found in 856 tags are displayed and active.

To test, apply the patch and locate or create an authority record which
contains one or more URLs in 856 tags.
 - View this record in the OPAC and confirm that the links appear.
 - Test records with and without link text.
 - Test records with and without public notes.

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 4 Katrin Fischer 2019-01-13 18:11:06 UTC
The display works, but I think the code for the TrackClicks should not be there. The linktracker table only has a bilbionumber column, nothing is tracked there if you click on the authority links now. I suggest removing it and adding a separate bug to make it possible to track links for authorities.
Comment 5 Owen Leonard 2019-01-15 19:21:55 UTC
Created attachment 84005 [details] [review]
Bug 21871: (follow-up) Remove link tracking

Links to tracklinks.pl were erroneously copied from detail.tt. This
patch removes them.
Comment 6 Charles Farmer 2019-01-18 20:55:26 UTC
Created attachment 84223 [details] [review]
Bug 21871: (follow-up) Remove link tracking

Links to tracklinks.pl were erroneously copied from detail.tt. This
patch removes them.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 7 Katrin Fischer 2019-01-27 13:59:34 UTC
Created attachment 84466 [details] [review]
Bug 21871: Show authority 856 links in the OPAC

This patch modifies the authority detail view in the OPAC so that any
links found in 856 tags are displayed and active.

To test, apply the patch and locate or create an authority record which
contains one or more URLs in 856 tags.
 - View this record in the OPAC and confirm that the links appear.
 - Test records with and without link text.
 - Test records with and without public notes.

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2019-01-27 13:59:38 UTC
Created attachment 84467 [details] [review]
Bug 21871: (follow-up) Remove link tracking

Links to tracklinks.pl were erroneously copied from detail.tt. This
patch removes them.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-01-27 14:08:46 UTC
Created attachment 84468 [details] [review]
Bug 21871: Show authority 856 links in the OPAC

This patch modifies the authority detail view in the OPAC so that any
links found in 856 tags are displayed and active.

To test, apply the patch and locate or create an authority record which
contains one or more URLs in 856 tags.
 - View this record in the OPAC and confirm that the links appear.
 - Test records with and without link text.
 - Test records with and without public notes.

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=21817
Comment 10 Katrin Fischer 2019-01-27 14:08:50 UTC
Created attachment 84469 [details] [review]
Bug 21871: (follow-up) Remove link tracking

Links to tracklinks.pl were erroneously copied from detail.tt. This
patch removes them.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=21817
Comment 11 Katrin Fischer 2019-01-27 14:08:54 UTC
Created attachment 84470 [details] [review]
Bug 21871: (QA follow-up) Use Koha.Preference in template

Use TT plugin to get value for OPACURLOpenInNewWindow.

Works without, but might be a little nicer.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=21817
Comment 12 Katrin Fischer 2019-01-27 14:08:59 UTC
Created attachment 84471 [details] [review]
Bug 21871: (QA follow-up) C4::Biblio qw(GetMarcUrls)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=21817
Comment 13 Katrin Fischer 2019-01-27 14:10:20 UTC
Suggesting 2 follow-ups:

I think it's a tiny bit irritating to use something from Biblio in authorities... but I know we will get to make this all shiny at some point with the new API. Added a qw() to help remember what we exactly need this for here.

Suggest use of TT plugin in the template.

Kept them separate, so you can pick and choose :)
Comment 14 Nick Clemens 2019-01-31 13:37:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 15 Martin Renvoize 2019-02-01 15:41:02 UTC
Enhancement, will not be backported to 18.11.x series.